# ORTEnv Class Reference

# ORTEnv

Objective-C

    @interface ORTEnv : NSObject

Swift

    class ORTEnv : NSObject

The ORT environment.

- `-init`

  Unavailable

  #### Declaration

  Objective-C

      - (instancetype)init NS_UNAVAILABLE;

- `-initWithLoggingLevel:error:`

  Creates an ORT Environment.

  #### Declaration

  Objective-C

      - (nullable instancetype)initWithLoggingLevel:(ORTLoggingLevel)loggingLevel
                                              error:(NSError *_Nullable *_Nullable)
                                                        error;

  Swift

      init(loggingLevel: ORTLoggingLevel) throws

  #### Parameters

  `loggingLevel` | The environment logging level.
  `error` | Optional error information set if an error occurs.

  #### Return Value

  The instance, or nil if an error occurs.

© 2022 ONNX Runtime Authors. All rights reserved. (Last updated: 2022-10-22)

Generated by jazzy ♪♫ v0.14.3, a Realm project.